<?php

// Routes for category.

// Guard routes for category
Route::prefix('{guard}/category')->group(function () {

    Route::patch('category/actions/{action}', 'CategoryActionsController');
    Route::patch('category/action/{category}/{action}', 'CategoryActionController');
    Route::patch('category/workflow/{category}/{transition}', 'CategoryWorkflowController');
    Route::resource('category', 'CategoryResourceController');
});



// Public routes for category
Route::get('categories/', 'CategoryPublicController@index');
Route::get('category/{slug?}', 'CategoryPublicController@show');
